curl --request POST \
--url https://memex.garden/api/search-content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "vector databases",
"contentTypes": [
"web",
"pdf"
],
"limit": 20,
"offset": 0,
"enableRerank": true,
"rerankWindow": 100
}
'{
"results": [
{
"type": "<string>",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"title": "<string>",
"media": [
{
"type": "<string>",
"imageDescription": "<string>",
"transcriptChunks": [
"<string>"
],
"assetUrls": [
"<string>"
]
}
],
"references": {},
"user_notes": [
"<unknown>"
]
}
],
"meta": {
"offset": 123,
"limit": 123,
"returnedCount": 123,
"rerankApplied": true,
"usageMicrosCharged": 123,
"remainingUsageBalance": {
"usageBalancePaygMicros": 123,
"usageBalanceSubscriptionMicros": 123,
"total": 123
}
},
"error": "<string>",
"errorCode": "INSUFFICIENT_CREDITS",
"upgradeOptions": {}
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}API reference
Unified search across saved Memex content
Compatibility alias for /search. Returns content results, extra entities, resolved references, and optional inline notes. Supports optional reranking.
POST
/
search-content
curl --request POST \
--url https://memex.garden/api/search-content \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "vector databases",
"contentTypes": [
"web",
"pdf"
],
"limit": 20,
"offset": 0,
"enableRerank": true,
"rerankWindow": 100
}
'{
"results": [
{
"type": "<string>",
"url": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>",
"title": "<string>",
"media": [
{
"type": "<string>",
"imageDescription": "<string>",
"transcriptChunks": [
"<string>"
],
"assetUrls": [
"<string>"
]
}
],
"references": {},
"user_notes": [
"<unknown>"
]
}
],
"meta": {
"offset": 123,
"limit": 123,
"returnedCount": 123,
"rerankApplied": true,
"usageMicrosCharged": 123,
"remainingUsageBalance": {
"usageBalancePaygMicros": 123,
"usageBalanceSubscriptionMicros": 123,
"total": 123
}
},
"error": "<string>",
"errorCode": "INSUFFICIENT_CREDITS",
"upgradeOptions": {}
}{
"error": "Unauthorized"
}{
"error": "Internal server error",
"message": "<string>"
}Authorizations
Body
application/json
Restrict search to one or more exact content_entity.type values.
Exact persisted content_entity.type value.
Available options:
web, pdf, youtube, twitter, instagram, tiktok, facebook, linkedin, pinterest, reddit, chatgpt, claude, annotation, image, transcribedMedia, audioRecording, selector, chatThread, twitterProfile, subreddit, youtubeChannel Response
Search response
- Option 1
- Option 2
Search response. Omit raw or set raw: false for the LLM-ready response; set raw: true for the full response.

